use super::super::data_types::*;
pub const CKO_DATA: CK_ULONG = 0x00000000;
pub const CKO_CERTIFICATE: CK_ULONG = 0x00000001;
pub const CKO_PUBLIC_KEY: CK_ULONG = 0x00000002;
pub const CKO_PRIVATE_KEY: CK_ULONG = 0x00000003;
pub const CKO_SECRET_KEY: CK_ULONG = 0x00000004;
pub const CKO_HW_FEATURE: CK_ULONG = 0x00000005;
pub const CKO_DOMAIN_PARAMETERS: CK_ULONG = 0x00000006;
pub const CKO_MECHANISM: CK_ULONG = 0x00000007;
pub const CKO_OTP_KEY: CK_ULONG = 0x00000008;
pub const CKO_VENDOR_DEFINED: CK_ULONG = 0x80000000;
